Get a case
curl --request GET \
--url https://api.debbiecollect.com/v1/{tenantId}/cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.debbiecollect.com/v1/{tenantId}/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123456,
"caseId": "268b30d2-e895-42b9-8a38-2451a87e19b2",
"status": "PENDING",
"statusTime": "2022-04-19T07:30:21.070Z",
"exitReason": null,
"createdAt": "2022-04-19T07:30:21.070Z",
"creditorId": "29654f0c-d424-41e4-9eec-85bef089eaf9",
"isCompany": false,
"migratedId": "54321.4321",
"type": "TENANT",
"tenantId": "59f52305-00e0-4983-b5f1-43594b39b81f",
"caseGroup": {
"id": "3057ca58-d39d-48ec-9d79-c45182b92ca0",
"label": "Group A"
}
}Cases
Get case
Get a case by id
Required scope: read:cases
GET
/
v1
/
{tenantId}
/
cases
/
{id}
Get a case
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the case belongs to
Id of the case to be retrieved. Either uuid or sequential case id.
Response
Successful operation
The case status
Available options:
PENDING, VERIFIED, ENDED Reason why the case is ended
Available options:
PAID, OVERPAYMENT, PARTIALLY_PAID, DEAD, BANKRUPTCY, OBJECTION, ERROR_CREDITOR, ERROR_US, WITHDRAWN, EXPIRATION, IRRECOVERABLE, TRANSFERRED, NO_COURT, UNIDENTIFIED, OFFER_FROM_US, OFFER_FROM_DEBTOR, FORCED_DISSOLVED, NEGATIVE_PAYOFF, DEPARTED, CREDITOR_UNRESPONSIVE, MERGED, FIRE_AND_FORGET, SMALL_CASE_NOT_WANTED, ADDRESS_UNKNOWN, DEBT_RELIEF, CONFLICT_OF_INTEREST, MINOR, DELETED, NO_DEBT Case sequential id
Id of case
Id of creditor
Id of the ultimate creditor on the case, if any
Time og last status change
Case created at
Id of the customer related to the case
Id of the tenant
Id from last system if the case is migrated
Show child attributes
Show child attributes